user  nginx;
worker_processes  1;

error_log  /var/log/nginx/error.log warn;
pid        /var/run/nginx.pid;


events {
    worker_connections  1024;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;

    sendfile        on;
    #tcp_nopush     on;

    keepalive_timeout  65;

    #gzip  on;
	
    include /etc/nginx/conf.d/*.conf;

    server {
        listen 80;
        root   /usr/share/nginx/html;
        index  index.html index.htm;
        server_name kuadrado-software.fr www.kuadrado-software.fr;
        # location / {
        #     return 301 https://$host$request_uri;
        # }
        location /.well-known/acme-challenge/ {
            root /var/www/certbot;
        }
    }

    server {
        listen 443 ssl;
        server_name kuadrado-software.fr www.kuadrado-software.fr;
        index  index.html index.htm;
        ssl_certificate /etc/letsencrypt/live/kuadrado-software.fr/fullchain.pem;
        ssl_certificate_key /etc/letsencrypt/live/ekuadrado-software.fr/privkey.pem;
        include /etc/letsencrypt/options-ssl-nginx.conf;
        ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
        # location / {
        #     proxy_pass http://kuadrado-software.fr; #for demo purposes
        # }
    }
}

